﻿/* RESET*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video 
{
	margin:0;
	padding:0;
	border:0;
	font-size:100%;
	font:inherit;
	vertical-align:baseline;
	background:transparent;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section 
{
	display:block;
}

body 
{
	line-height:1;
}

ol, ul 
{
	list-style:none;
}

blockquote, q 
{
	quotes:none;
}

blockquote:before, blockquote:after,
q:before, q:after 
{ 
	content:'';
	content:none;
}

table
{
	border-collapse:collapse;
	border-spacing:0px;
}
/* RESET END */

/* Gobal */ 

body
{
	background-color:#fff;
}

body, html
{
	height:auto;
	width:1200px;
    margin: auto;
    
}

h1, #Title 
{
	font-family:Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
	font-size:50px;	
	text-align:center;
	margin:0px auto;
	width:500px;
}

#Title a
{
	text-decoration:none;
}

#Title a:link		{color:#000000;}
#Title a:visited	{color:#000000;}
#Title a:active		{color:#000000;}
#Title a:hover		{color:#000000; background:#fff }
#Title a:focus		{color:#000000;}


h2
{
	font-family:Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
	margin:0px auto;
	text-align:center;
	font-size:20px;
}

h3
{
	font-family:Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
	margin:40px 50px;
	line-height:25px;
	font-weight:bold;
}

h4
{
	font-family:Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
	margin:50px 0px 0px 50px;
	line-height:25px;
	font-weight:bold;
}

h5
{
	font-family:Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
	margin:0px 50px;
	line-height:25px;
}

/* Containers */
#wrapper
{
	background-color:#ffffff;
	width:1200px;
	height:auto;
	margin:0px auto;
}

#top
{
	background-color:#ffffff;
	width:1200px;
	padding:15px 0px;
	overflow:hidden;
}

#logo
{	
	margin:0px auto;
	width:100px;
	height:50px;
}

#socialMedia
{
	float:right;
	margin:0 50px 0 0;	
}

#socialMedia img
{
	width:30px;
	height:30px;
}

#socialMedia ul li
{
	display:inline;
	padding:2px;
}

#socialMedia img:hover
{
	background-color:#000000;	
}


#mainNav ul li a, #servicesNav ul li a, #technolNav ul li a
{
	text-decoration:none;
	text-align:center;
	border:8px solid #727272;
	border-radius:50%;
	background-color:#00CCCC;
}

.services a
{	
	padding:85px 60px 85px 60px;
	float:left;
	margin:50px 0 0 100px;
}

.technol a
{
	padding:85px 45px 85px 45px;
	float:right;
	margin:50px 99px 0 0;
}

.about a
{
	padding:85px 65px 85px 65px;
	float:right;
	margin:488px 185px 10px auto;
}

#mainNav a:link, 	#servicesNav a:link, 	#technolNav a:link			{color:#000000;}
#mainNav a:visited, #servicesNav a:visited, #technolNav a:visited		{color:#000000;}
#mainNav a:active, 	#servicesNav a:active, 	#technolNav a:active		{color:#000000;}
#mainNav a:hover, 	#servicesNav a:hover, 	#technolNav a:hover			{color:#FFFFFF; background-color:#00DDDD;}
#mainNav a:focus, 	#servicesNav a:focus, 	#technolNav a:focus			{color:#FFFFFF;}

#mainAnim
{
	border-radius:260px 260px 1300px 1300px;
	border:3px solid #666;
	height: 635px; 
    width: 995px;	
	margin: 90px 100px 0px 100px;
}

/* Service Items */
.concept a
{
	padding:85px 65px 85px 65px;
	float:right;
	margin:0px 100px auto auto;
}

.designModel a
{
	padding:80px 55px 80px 55px;
	float:left;
	margin:0px auto auto 100px;
}

.proto a
{
	padding:85px 50px 85px 50px;
	float:right;
	margin:400px 175px auto auto;
}

/* Technology Items */
.devEnv a
{
	padding:80px 45px 80px 40px;
	float:right;
	margin:0px 0px auto auto;
}

.ucontrollers a
{
	padding:85px 20px 85px 20px;
	float:left;
	margin:0px auto;
}

.languages a
{
	padding:80px 40px 80px 40px;
	float:right;
	margin:250px 250px auto auto;
}

.comms a
{
	padding:85px 30px 85px 30px;
	float:right;
	margin:500px -690px auto auto;
}


.designTool a
{
	padding:85px 45px 85px 45px;
	float:left;
	margin:500px 0px auto -230px;

}

/* text-based popup styling */
.black_overlay
{
    display: none;
    position: absolute;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    background-color:#A3A3A3;
    z-index:1001;
    -moz-opacity: 0.5;
    opacity:0.5;
    filter: alpha(opacity=50);    
}

.white_content 
{
    opacity:0.9;
	border-radius:30%;
    display: none;
    position:absolute;
    top: 25%;
    left: 40%;
   	width:330px;
    padding: 36px;
    border: 3px solid #727272;
    background-color:#FFFFFF;
   	color:#000000;
    z-index:1002;
    overflow: auto;
    line-height:25px;
}

.white_content a
{
	right:20px;
	top:20px;
	position:absolute;
	font-weight:bold;
	font-size:50px;
	text-decoration:none;	
}

#footer
{
	position:fixed;
	bottom:10px;
    width:1200px;
    height:20px;	
}

